Recalculate Roll-up Fields
Recalculate all Roll-up fields for the specified object. Learn more about Roll-up fields in Vault Help
When performing a full recalculation, Vault evaluates all Roll-up fields on an object asynchronously.
This endpoint is equivalent to the Recalculate Roll-up Fields action in the Vault UI. While a recalculation is running, Admins cannot start another recalculation using either Vault API or Vault UI.
POST
/api/{version}/vobjects/{object_name}/actions/recalculaterollupsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object on which to start the Roll-up field recalculation. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/vobjects/product__v/actions/recalculaterollupsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "SUCCESS"
}Response Details
Section link for Response DetailsReturns SUCCESS if the recalculation starts successfully, or FAILURE if a recalculation is already running for the specified object.